import java.io.File;
import java.io.IOException;
import java.util.Scanner;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private String hamletData;

    public HamletParser(){
        this.hamletData = loadFile();
    }

    private String loadFile(){
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource("hamlet.txt").getFile());
        StringBuilder result = new StringBuilder();

        try(Scanner scanner = new Scanner(file)){
            while(scanner.hasNextLine()){
                String line = scanner.nextLine();
                result.append(line).append("\n");
            }
        } catch(IOException e){
            e.printStackTrace();
        }
        return result.toString();
    }

    public String getHamletData(){
        return hamletData;
    }

    public void changeHamletToLeon() {
        Pattern hamPattern = Pattern.compile("Hamlet", Pattern.CASE_INSENSITIVE);
        Matcher hamMatcher = hamPattern.matcher(hamletData);
        hamletData = hamMatcher.replaceAll("Leon");
    }
    public void changeHoratioToTariq() {
        Pattern horPattern = Pattern.compile("Horatio", Pattern.CASE_INSENSITIVE);
        Matcher horMatcher = horPattern.matcher(hamletData);
        hamletData = horMatcher.replaceAll("Tariq");
    }

    public boolean findHoratio() {
        Pattern horPattern = Pattern.compile("Horatio", Pattern.CASE_INSENSITIVE);
        Matcher horMatcher = horPattern.matcher(hamletData);
        return horMatcher.find();
    }
    public boolean findHamlet() {
        Pattern hamPattern = Pattern.compile("Hamlet", Pattern.CASE_INSENSITIVE);
        Matcher hamMatcher = hamPattern.matcher(hamletData);
        return hamMatcher.find();
    }
}
